petsc-3.4.2 2013-07-02

# MatGetBlockSizes

Returns the matrix block row and column sizes; useful especially for the block row and block diagonal formats.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetBlockSizes(Mat mat,PetscInt *rbs, PetscInt *cbs)

Not Collective

### Input Parameter

mat -the matrix

### Output Parameter

rbs -row block size
cbs -coumn block size

### Notes

Block row formats are MATSEQBAIJ, MATMPIBAIJ, MATSEQSBAIJ, MATMPISBAIJ

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSize()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages